import {
  CUSTOMER_TYPE,
  SUPPLIER_TYPE,
  RUNNING_STATUS,
  NOTICE_TYPE,
  PUBLISH_STATUS,
} from '@/config/constants';
import { dateFormat } from './tool';

const DEFAULT_FIELD = '--';

// 常规
export function enableFilter(val) {
  return val ? '启用' : '禁用';
}
export function timestampFilter(val) {
  return val ? dateFormat(val) : DEFAULT_FIELD;
}
// 系统管理
export function customerTypeFilter(val) {
  return CUSTOMER_TYPE[val] || DEFAULT_FIELD;
}
export function supplierTypeFilter(val) {
  return SUPPLIER_TYPE[val] || DEFAULT_FIELD;
}
export function runningStatusFilter(val) {
  return RUNNING_STATUS[val] || DEFAULT_FIELD;
}
export function noticeTypeFilter(val) {
  return NOTICE_TYPE[val] || DEFAULT_FIELD;
}
export function publishStatusFilter(val) {
  return PUBLISH_STATUS[val] || DEFAULT_FIELD;
}
